# Uses of Enum Class
java.util.concurrent.Future.State

Packages that use Future.State
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of Future.State in java.util.concurrent

Subclasses with type arguments of type Future.State in java.util.concurrent
Modifier and Type
Class
Description
`static enum`
`Future.State`
Represents the computation state.
Methods in java.util.concurrent that return Future.State
Modifier and Type
Method
Description
`Future.State`
CompletableFuture.`state()`
`Future.State`
ForkJoinTask.`state()`
`default Future.State`
Future.`state()`
Returns the computation state.
`Future.State`
FutureTask.`state()`
`static Future.State`
Future.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Future.State[]`
Future.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.